/**
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.disy.legato.tools.feature;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

import net.opengis.gml.v_3_1_1.FeatureCollectionType;

@XmlRegistry
public class ObjectFactory {

	public final static QName FEATURE_QNAME = new QName(
			"http://www.opengis.net/gml/simple", "Feature");
	public final static QName FEATURE_COLLECTION_QNAME = new QName(
			"http://www.opengis.net/gml/simple", "FeatureCollection");

	@XmlElementDecl(namespace = "http://www.opengis.net/gml/simple", name = "FeatureCollection", substitutionHeadNamespace = "http://www.opengis.net/gml", substitutionHeadName = "FeatureCollection")
	public JAXBElement<FeatureCollectionType> createFeatureCollection(
			FeatureCollectionType value) {
		return new JAXBElement<FeatureCollectionType>(FEATURE_COLLECTION_QNAME,
				FeatureCollectionType.class, null, value);
	}

	@XmlElementDecl(namespace = "http://www.opengis.net/gml/simple", name = "Feature", substitutionHeadNamespace = "http://www.opengis.net/gml", substitutionHeadName = "FeatureCollection")
	public JAXBElement<FeatureType> createFeature(FeatureType value) {
		return new JAXBElement<FeatureType>(FEATURE_QNAME, FeatureType.class,
				null, value);
	}
}
